addpath 'distmesh'

figure
pfix1=[];
[p1,t1]=distmesh2d(@(x) a1(x),@huniform,0.1,[3 3;7 7],pfix1);
title('Omega1');

figure
pfix2=[0 0;6 0;0 3;6 3];
[p2,t2]=distmesh2d(@(x) a2(x),@huniform,0.3,[-1 -1;7 7],pfix2);
title('Omega2');

figure
pfix3=[4 3;6 3;4 5;6 5];
[p3,t3]=distmesh2d(@(x) a3(x),@huniform,0.1,[-1 -1;7 7],pfix3);
title('Omega3');

figure
pfix4=[0 0;6 0;0 3;4 3;4 5;6 5];
[p4,t4]=distmesh2d(@(x) a4(x),@huniform,0.2,[-1 -1;7 7],pfix4);
title('Omega4');



plot_mesh(p1,t1);
title('Eigener Plot Omega1');

plot_mesh(p2,t2);
title('Eigener Plot Omega2');
axis([-1 7 -1 4]);

plot_mesh(p3,t3);
title('Eigener Plot Omega3');
axis([3 7 2 6]);

plot_mesh(p4,t4);
title('Eigener Plot Omega4');
axis([-1 7 -1 6]);



%Inhaltsbestimmung

n=max(size(t1));
I1=0;
for i=1:n
    I1=I1+Inhalt(p1(t1(i,1),:),p1(t1(i,2),:),p1(t1(i,3),:));
end
I1_exakt= pi * 1/2;
Differenz1 = I1-I1_exakt;
disp(['Der Inhalt von Omega1 ist ', num2str(I1) ' und die Differenz betraegt ', num2str(Differenz1)])


n=max(size(t2));
I2=0;
for i=1:n
    I2=I2+Inhalt(p2(t2(i,1),:),p2(t2(i,2),:),p2(t2(i,3),:));
end
I2_exakt= 6*3;
Differenz2 = I2-I2_exakt;
disp(['Der Inhalt von Omega2 ist ', num2str(I2) ' und die Differenz betraegt ', num2str(Differenz2)])


n=max(size(t3));
I3=0;
for i=1:n
    I3=I3+Inhalt(p3(t3(i,1),:),p3(t3(i,2),:),p3(t3(i,3),:));
end
I3_exakt=  2*2- pi * 1/2;
Differenz3 = I3-I3_exakt;
disp(['Der Inhalt von Omega3 ist ', num2str(I3) ' und die Differenz betraegt ', num2str(Differenz3)])


n=max(size(t4));
I4=0;
for i=1:n
    I4=I4+Inhalt(p4(t4(i,1),:),p4(t4(i,2),:),p4(t4(i,3),:));
end
I4_exakt= 6*3+ 2*2 - pi * 1/2;
Differenz4 = I4-I4_exakt;
disp(['Der Inhalt von Omega4 ist ', num2str(I4) ' und die Differenz betraegt ', num2str(Differenz4)])
